UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
lbmaux.h File Reference

Ultra Messaging (UM) Auxiliary Functions API. The "lbmaux.h" header file defines a few helper APIs that can make Ultra Messaging easier to use. It is optional, and most applications do not use it. The binary code is contained in the "lbm" library (dynamic on Unix: "liblbm.so", static on Unix: "liblbm.a", dynamic only on Windows: "lbm.dll"). See UM C API for general information on the C API. See Fundamental Concepts for an introduction to Ultra Messaging. More...

`#include <stdlib.h>`
`#include <lbm/lbm.h>`

Go to the source code of this file.

## Functions
LBMExpDLL int | lbmaux_context_create_from_file (lbm_context_t **Context, const char *ConfigFile)
| Create and initialize an lbm_context_t object, initialized with configuration options from a file. More...
LBMExpDLL int | lbmaux_context_attr_setopt_from_file (lbm_context_attr_t *Attributes, const char *ConfigFile)
| Set attributes values in an lbm_context_attr_t object from a configuration file. More...
LBMExpDLL int | lbmaux_src_topic_attr_setopt_from_file (lbm_src_topic_attr_t *Attributes, const char *ConfigFile)
| Set attributes values in an lbm_src_topic_attr_t object from a configuration file. More...
LBMExpDLL int | lbmaux_rcv_topic_attr_setopt_from_file (lbm_rcv_topic_attr_t *Attributes, const char *ConfigFile)
| Set attributes values in an lbm_rcv_topic_attr_t object from a configuration file. More...
LBMExpDLL int | lbmaux_wildcard_rcv_attr_setopt_from_file (lbm_wildcard_rcv_attr_t *Attributes, const char *ConfigFile)
| Set attributes values in an lbm_wildcard_rcv_attr_t object from a configuration file. More...
LBMExpDLL int | lbmaux_event_queue_attr_setopt_from_file (lbm_event_queue_attr_t *Attributes, const char *ConfigFile)
| Set attributes values in an lbm_event_queue_attr_t object from a configuration file. More...
LBMExpDLL int | lbmaux_lbmmon_format_options_from_file (char **FormatOptionsBuffer, const char *FormatOptionsFile, char *ErrorString)
| Read LBMMON format options from a file into a buffer for processing. More...

## Detailed Description

Ultra Messaging (UM) Auxiliary Functions API. The "lbmaux.h" header file defines a few helper APIs that can make Ultra Messaging easier to use. It is optional, and most applications do not use it. The binary code is contained in the "lbm" library (dynamic on Unix: "liblbm.so", static on Unix: "liblbm.a", dynamic only on Windows: "lbm.dll"). See UM C API for general information on the C API. See Fundamental Concepts for an introduction to Ultra Messaging.

## Function Documentation

LBMExpDLL int lbmaux_context_attr_setopt_from_file | ( | lbm_context_attr_t * | Attributes,
|  | const char * | ConfigFile
| ) |  |

Set attributes values in an lbm_context_attr_t object from a configuration file.

This function parses a configuration file, and applies context-scope option values to an lbm_context_attr_t object.

Parameters

  Attributes | A pointer to an initialized lbm_context_attr_t object.
  ConfigFile | String containing the filename that contains the options to parse and set.

Returns
  0 for Success and -1 for Failure.

LBMExpDLL int lbmaux_context_create_from_file | ( | lbm_context_t ** | Context,
|  | const char * | ConfigFile
| ) |  |

Create and initialize an lbm_context_t object, initialized with configuration options from a file.

This function parses a configuration file, and creates an lbm_context_attr_t object with context-scope option values from the configuration file. It then calls lbm_context_create() with the attributes object.

See also
  lbm_context_create()
  lbm_context_delete()

Parameters

  Context | A pointer to a pointer to an LBM context object. Will be filled in by this function to point to the newly created lbm_context_t object.
  ConfigFile | String containing the filename that contains the options to parse and set.

Returns
  0 for Success and -1 for Failure.

LBMExpDLL int lbmaux_event_queue_attr_setopt_from_file | ( | lbm_event_queue_attr_t * | Attributes,
|  | const char * | ConfigFile
| ) |  |

Set attributes values in an lbm_event_queue_attr_t object from a configuration file.

This function parses a configuration file, and applies event-queue-scope option values to an lbm_event_queue_attr_t object.

Parameters

  Attributes | A pointer to an initialized lbm_event_queue_attr_t object.
  ConfigFile | String containing the filename that contains the options to parse and set.

Returns
  0 for Success and -1 for Failure.

LBMExpDLL int lbmaux_lbmmon_format_options_from_file | ( | char ** | FormatOptionsBuffer,
|  | const char * | FormatOptionsFile,
|  | char * | ErrorString
| ) |  |

Read LBMMON format options from a file into a buffer for processing.

This function reads a format options file, skipping comments and blank lines, into a newly created buffer.

Parameters

  FormatOptionsBuffer | A pointer to a String. Will be malloc'd and filled in by this function.
  FormatOptionsFile | String containing the filename that contains the format options. .
  ErrorString | String for returning details of errors encountered.

Returns
  0 for Success and -1 for Failure.

LBMExpDLL int lbmaux_rcv_topic_attr_setopt_from_file | ( | lbm_rcv_topic_attr_t * | Attributes,
|  | const char * | ConfigFile
| ) |  |

Set attributes values in an lbm_rcv_topic_attr_t object from a configuration file.

This function parses a configuration file, and applies receiver-scope option values to an lbm_rcv_topic_attr_t object.

Parameters

  Attributes | A pointer to an initialized lbm_rcv_topic_attr_t object.
  ConfigFile | String containing the filename that contains the options to parse and set.

Returns
  0 for Success and -1 for Failure.

LBMExpDLL int lbmaux_src_topic_attr_setopt_from_file | ( | lbm_src_topic_attr_t * | Attributes,
|  | const char * | ConfigFile
| ) |  |

Set attributes values in an lbm_src_topic_attr_t object from a configuration file.

This function parses a configuration file, and applies source-scope option values to an lbm_src_topic_attr_t object.

Parameters

  Attributes | A pointer to an initialized lbm_src_topic_attr_t object.
  ConfigFile | String containing the filename that contains the options to parse and set.

Returns
  0 for Success and -1 for Failure.

LBMExpDLL int lbmaux_wildcard_rcv_attr_setopt_from_file | ( | lbm_wildcard_rcv_attr_t * | Attributes,
|  | const char * | ConfigFile
| ) |  |

Set attributes values in an lbm_wildcard_rcv_attr_t object from a configuration file.

This function parses a configuration file, and applies wildcard-receiver-scope option values to an lbm_wildcard_rcv_attr_t object.

Parameters

  Attributes | A pointer to an initialized lbm_wildcard_rcv_attr_t object.
  ConfigFile | String containing the filename that contains the options to parse and set.

Returns
  0 for Success and -1 for Failure.